Bug 204074 - [NEW PORT] databases/puppetdb3: PuppetDB storeconfigs backend
Summary: [NEW PORT] databases/puppetdb3: PuppetDB storeconfigs backend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Romain Tartière
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-10-27 20:33 UTC by Zach Leslie
Modified: 2016-06-09 11:08 UTC (History)
3 users (show)

See Also:
zleslie: maintainer-feedback+


Attachments
The shar file. (9.50 KB, text/plain)
2015-10-27 20:33 UTC, Zach Leslie
no flags Details
Updated puppetserver for 3.2.3 (10.38 KB, application/x-shar)
2016-01-24 19:35 UTC, Zach Leslie
no flags Details
Functional puppetdb3 (23.35 KB, application/x-shar)
2016-01-25 04:44 UTC, Zach Leslie
no flags Details
Replacement shar (12.28 KB, application/x-shar)
2016-02-14 22:27 UTC, Zach Leslie
no flags Details
Updated puppetdb for 3.2.4 (22.25 KB, text/plain)
2016-03-09 03:59 UTC, Zach Leslie
no flags Details
Fixup on distinfo (22.25 KB, text/plain)
2016-03-09 04:08 UTC, Zach Leslie
no flags Details
Remove extra file (12.28 KB, text/plain)
2016-03-09 04:13 UTC, Zach Leslie
no flags Details
Updates for Sample (11.96 KB, text/plain)
2016-03-27 23:59 UTC, Zach Leslie
no flags Details
Shar to address sample configs (13.80 KB, text/plain)
2016-05-22 06:33 UTC, Zach Leslie
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zach Leslie freebsd_committer 2015-10-27 20:33:19 UTC
Created attachment 162513 [details]
The shar file.

This is a backwards incompatible update for databases/puppetdb.
Comment 1 Zach Leslie freebsd_committer 2016-01-24 19:22:51 UTC
Is anyone available to take a look at this please?
Comment 2 Zach Leslie freebsd_committer 2016-01-24 19:35:13 UTC
Created attachment 166073 [details]
Updated puppetserver for 3.2.3

Here is an updated shar file for puppetdb 3.2.3.  The service starts and logs as expected.  Tested with poudriere testport.
Comment 3 Zach Leslie freebsd_committer 2016-01-25 04:44:04 UTC
Created attachment 166080 [details]
Functional puppetdb3

This attachment includes a few supporting files I missed in previous versions.
Comment 4 Romain Tartière freebsd_committer 2016-02-14 14:26:29 UTC
The shar file is malformed (extra space at beginning of line 2 untill EOF), has dos line endings and contains a databases/puppetdb3/puppetdb3.shar file which seems only here by mistake.

Please check the attachement
Comment 5 Romain Tartière freebsd_committer 2016-02-14 14:58:55 UTC
PORTREVISION should be removed.
Comment 6 Zach Leslie freebsd_committer 2016-02-14 22:27:29 UTC
Created attachment 167002 [details]
Replacement shar

Apologies for the trouble, I've fixed a bug in my local process.  The attached shar should be correct.
Comment 7 Zach Leslie freebsd_committer 2016-03-09 03:59:52 UTC
Created attachment 167890 [details]
Updated puppetdb for 3.2.4

Its been a while, so a new version has been released.  This attachment is the latest version of puppetdb 3.2.4.  Please let me know if there is anything else I can do to help this along.
Comment 8 Zach Leslie freebsd_committer 2016-03-09 04:08:30 UTC
Created attachment 167891 [details]
Fixup on distinfo

A slight fix on distinfo filename.
Comment 9 Zach Leslie freebsd_committer 2016-03-09 04:13:24 UTC
Created attachment 167892 [details]
Remove extra file

I'd left an old shar file in the repo when building the shar.  This removes that extra file.
Comment 10 Zach Leslie freebsd_committer 2016-03-09 04:13:48 UTC
Ready for review.  Thank you.
Comment 11 Zach Leslie freebsd_committer 2016-03-11 16:55:09 UTC
portlint(ok)

WARN: Makefile: [45]: possible direct use of command "file" found. use ${FILE} instead.
WARN: /usr/local/poudriere/ports/xaque208/databases/puppetdb3/files/patch-ext__bin__puppetdb: patch was not generated using ``make makepatch''.  It is recommended to use ``make makepatch'' when you need to [re-]generate a patch to ensure proper patch format.
0 fatal errors and 2 warnings found.
Comment 12 Romain Tartière freebsd_committer 2016-03-13 11:39:35 UTC
Hi.

The port override it's configuration files, this should be avoided using:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#plist-config

Thank you for updating your shar file.
Comment 13 Zach Leslie freebsd_committer 2016-03-27 23:59:57 UTC
Created attachment 168709 [details]
Updates for Sample

Updated to address sample config files.  Tested functional.  Same portlint(ok) output.
Comment 14 Zach Leslie freebsd_committer 2016-05-22 06:33:08 UTC
Created attachment 170538 [details]
Shar to address sample configs

Shar file addresses feedback about configuration files.  Samples are now implemented correctly.  Ready for commit.
Comment 15 Zach Leslie freebsd_committer 2016-05-31 23:56:57 UTC
Hi, is there anything I can help out with here?
Comment 16 Romain Tartière freebsd_committer 2016-06-05 18:07:10 UTC
I'll take it!
Comment 17 commit-hook freebsd_committer 2016-06-09 11:06:40 UTC
A commit references this bug:

Author: romain
Date: Thu Jun  9 11:06:30 UTC 2016
New revision: 416588
URL: https://svnweb.freebsd.org/changeset/ports/416588

Log:
  New ports for PuppetDB 3.x

    - databases/puppetdb3 [1]
    - databases/puppetdb-terminus3 [2]

  Also add conflicts with the puppetdb 2.x and 4.x ports.

  PR:		204074 [1], 206594 [2]
  Submitted by:	freebsd@zleslie.info [1, 2]

Changes:
  head/databases/Makefile
  head/databases/puppetdb/Makefile
  head/databases/puppetdb-terminus/Makefile
  head/databases/puppetdb-terminus3/
  head/databases/puppetdb-terminus3/Makefile
  head/databases/puppetdb-terminus3/distinfo
  head/databases/puppetdb-terminus3/pkg-descr
  head/databases/puppetdb-terminus3/pkg-plist
  head/databases/puppetdb-terminus4/Makefile
  head/databases/puppetdb3/
  head/databases/puppetdb3/Makefile
  head/databases/puppetdb3/distinfo
  head/databases/puppetdb3/files/
  head/databases/puppetdb3/files/patch-ext__bin__puppetdb
  head/databases/puppetdb3/files/patch-ext__config__conf.d__config.ini
  head/databases/puppetdb3/files/patch-ext__config__conf.d__database.ini
  head/databases/puppetdb3/files/patch-ext__config__logback.xml
  head/databases/puppetdb3/files/patch-ext__config__request-logging.xml
  head/databases/puppetdb3/files/pkg-message.in
  head/databases/puppetdb3/files/puppetdb.in
  head/databases/puppetdb3/pkg-descr
  head/databases/puppetdb3/pkg-plist
  head/databases/puppetdb4/Makefile
Comment 18 Romain Tartière freebsd_committer 2016-06-09 11:08:32 UTC
Committed, thanks.

Changed a few things:
  - The SHAR file had full paths, please try do avoid this in the future;
  - Added conflicts with other ports.